# image pull

<!---MARKER_GEN_START-->
Download an image from a registry

### Aliases

`docker image pull`, `docker pull`

### Options

| Name                      | Type     | Default | Description                                      |
|:--------------------------|:---------|:--------|:-------------------------------------------------|
| `-a`, `--all-tags`        |          |         | Download all tagged images in the repository     |
| `--disable-content-trust` |          |         | Skip image verification                          |
| `--platform`              | `string` |         | Set platform if server is multi-platform capable |
| `-q`, `--quiet`           |          |         | Suppress verbose output                          |


<!---MARKER_GEN_END-->

## Description

See [docker pull](pull.md) for more information.
